%define major 0
%define api 0.1
%define libname %mklibname %{name} %{api}_%{major}
%define develname %mklibname -d %{name} %{api}

Name:		gegl
Version:	0.1.2
Release:	%mkrel 1
Summary:	GEGL (Generic Graphics Library) - graph based image processing framework
Group:		System/Libraries
License:	LGPLv3+
URL:		http://www.gegl.org/
Source0:	ftp://ftp.gimp.org/pub/gegl/0.1/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires:  babl-devel >= 0.1.2
BuildRequires:  glib2-devel
BuildRequires:  png-devel
BuildRequires:  pango-devel
BuildRequires:  imagemagick
BuildRequires:	ruby
BuildRequires:	librsvg2-devel
BuildRequires:	OpenEXR-devel
BuildRequires:	lua-devel
BuildRequires:	enscript
BuildRequires:	graphviz
BuildRequires:	gtk2-devel
BuildRequires:	SDL-devel
BuildRequires:	libopenraw-devel
#gw warning: this needs the deprecated libavcodec scaler (img_convert,...)
BuildRequires:	ffmpeg-devel
BuildRequires:	jpeg-devel


%description
GEGL (Generic Graphics Library) is a graph based image processing 
framework.

GEGLs original design was made to scratch GIMPs itches for a new 
compositing and processing core. This core is being designed to 
have minimal dependencies. and a simple well defined API. 


%package -n     %{libname}
Summary:        A library for %name
Group:          System/Libraries

%description -n %{libname}
GEGL (Generic Graphics Library) is a graph based image processing
framework.

GEGLs original design was made to scratch GIMPs itches for a new
compositing and processing core. This core is being designed to
have minimal dependencies. and a simple well defined API.

%package -n     %{develname}
Summary:        Header files for %name
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Obsoletes:      %{_lib}%{name}-devel

%description -n %{develname}
GEGL (Generic Graphics Library) is a graph based image processing
framework.

GEGLs original design was made to scratch GIMPs itches for a new
compositing and processing core. This core is being designed to
have minimal dependencies. and a simple well defined API.

%prep
%setup -q 

%build
%configure2_5x --enable-workshop
%make

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -fr %buildroot

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig
%endif

%files
%defattr(-,root,root)
%_bindir/gegl

%files -n     %{libname}
%defattr(-,root,root)
%doc README AUTHORS NEWS
%_libdir/libgegl-%{api}.so.%{major}*
%_libdir/gegl-%{api}/

%files -n %{develname}
%defattr(-,root,root)
%doc ChangeLog
%doc %{_datadir}/gtk-doc/html/%{name}
%_libdir/*.so
%_libdir/*.la
%_includedir/gegl-%{api}/
%_libdir/pkgconfig/%{name}.pc



%changelog
* Sat Feb 13 2010 Emmanuel Andry <eandry@mandriva.org> 0.1.2-1mdv2010.1
+ Revision: 505579
- New version 0.1.2
- bump babl BR
- use api major
- BR libopenraw-devel

* Sun Jan 10 2010 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-3mdv2010.1
+ Revision: 488756
- rebuilt against libjpeg v8

* Sat Aug 15 2009 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-2mdv2010.0
+ Revision: 416615
- rebuilt against libjpeg v7

* Tue Jul 07 2009 Götz Waschk <waschk@mandriva.org> 0.1.0-1mdv2010.0
+ Revision: 393181
- new version
- bump babl dep
- source URL

* Sat Jan 03 2009 Funda Wang <fwang@mandriva.org> 0.0.22-1mdv2009.1
+ Revision: 323638
- New version 0.0.22
- patches merged upstream

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Mon Dec 08 2008 Emmanuel Andry <eandry@mandriva.org> 0.0.20-3mdv2009.1
+ Revision: 311772
- add P2 from gegl svn to fix black image generation (#46138)

* Mon Oct 13 2008 Götz Waschk <waschk@mandriva.org> 0.0.20-2mdv2009.1
+ Revision: 293311
- fix patch 0

* Sun Oct 12 2008 Götz Waschk <waschk@mandriva.org> 0.0.20-1mdv2009.1
+ Revision: 293043
- fix build deps
- new version
- update patch 0

* Tue Jun 24 2008 Götz Waschk <waschk@mandriva.org> 0.0.18-1mdv2009.0
+ Revision: 228562
- new version
- fix build with glib
- bump babl dep
- fix license
- add docs
- rearrange spec file

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Thu May 15 2008 Götz Waschk <waschk@mandriva.org> 0.0.16-3mdv2009.0
+ Revision: 207582
- reenable ffmpeg

* Tue Apr 29 2008 Götz Waschk <waschk@mandriva.org> 0.0.16-2mdv2009.0
+ Revision: 198955
- disable ffmpeg support
- use the right configure macro

* Wed Apr 16 2008 Emmanuel Andry <eandry@mandriva.org> 0.0.16-1mdv2009.0
+ Revision: 194739
- Add missing BR
- Add more missing BR
- add missing BR (from Fedora)
- New version
- fix libs
- enable-workshop

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix spacing at top of description
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Add BuildRequires
    - Import gegl

